Bug 523802 - Very hard to bind application volume to global volume
Summary: Very hard to bind application volume to global volume
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 17:32 UTC by Kamil Páral
Modified: 2009-10-07 10:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 10:15:55 UTC


Attachments (Terms of Use)
mockup of new interface (29.47 KB, image/png)
2009-09-16 17:32 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 597664 None None None Never

Description Kamil Páral 2009-09-16 17:32:54 UTC
Created attachment 361336 [details]
mockup of new interface

Description of problem:
Pretext:
When you run an application, it's volume is bound to the global volume (if you move global volume slider, the app volume slider moves the same). By moving the app slider itself, you unbind it from the global volume (now it is for example always a little quieter).
Problem:
It is *very hard* to bind the application volume again to the global slider (so it has the same volume level). You will never hit it exactly.

Example:
Global volume 30%, totem 15%. Now I want to set totem to be in sync with global volume.
Option 1: So I try to pull the slider and hit eg. 27%. But later on after pulling the global volume to 100%, totem is only about 90+% (because it wasn't same value).
Option 2: I try to pull the slider and pull it too much to 40%. Not only I have now moved global volume to 40% (which I didn't want), I have also unbound *all* other applications being in sync with global volume before. Global volume is now 40%, totem has 40%, but all other applications stayed on 30%. Later on after pulling global volume to 100%, all other apps will have only about 80%. Damn.

Solution:
Make the app volume slider have a "snappy" place at the same place the current global volume is. So the users can easily pull the slider and snap it (and bind it) again to the global volume. See the attached mockup of the interface. There is a thin line showing current global volume level and when you move the slider near it it jumps to it. Practically it's very similar to the current behaviour of Input tab (only the line drawing will be dynamic).

Version-Release number of selected component (if applicable):
Rawhide 20090915
gnome-media-2.27.91-1.fc12.x86_64
pulseaudio-0.9.17-1.fc12.x86_64

Comment 1 Kamil Páral 2009-09-16 17:44:43 UTC
I forgot to add: Currently the only solution to put application X back to sync with global volume is to:
1. put all apps to 100%
2. lower global volume from 100% to satisfactory level
3. lower volume for all apps that I had quieter than app X before step 1

Comment 2 Lennart Poettering 2009-09-16 20:49:03 UTC
A possible fix could be having some kind of 'magnetic' marker on the stream volume sliders that show where the sink volume slider is.

Comment 3 Kamil Páral 2009-09-21 12:01:17 UTC
I believe we have the same idea of magnetic/snappy markers, as I have tried to drawn in the mockup picture. The markers would adjust according to the global volume (sink volume as you say, I don't know the terminology) and the sliders would easily jump to it. It's the same way the slider on Input tab currently works.

Comment 4 Bastien Nocera 2009-10-07 10:15:55 UTC
Moved upstream.


Note You need to log in before you can comment on or make changes to this bug.